## WebKitDOMHTMLVideoElement

WebKitDOMHTMLVideoElement

## Functions

void | webkit_dom_html_video_element_webkit_enter_fullscreen ()
void | webkit_dom_html_video_element_webkit_exit_fullscreen ()
void | webkit_dom_html_video_element_webkit_enter_full_screen ()
void | webkit_dom_html_video_element_webkit_exit_full_screen ()
gulong | webkit_dom_html_video_element_get_width ()
void | webkit_dom_html_video_element_set_width ()
gulong | webkit_dom_html_video_element_get_height ()
void | webkit_dom_html_video_element_set_height ()
gulong | webkit_dom_html_video_element_get_video_width ()
gulong | webkit_dom_html_video_element_get_video_height ()
gchar * | webkit_dom_html_video_element_get_poster ()
void | webkit_dom_html_video_element_set_poster ()
gboolean | webkit_dom_html_video_element_get_webkit_supports_fullscreen ()
gboolean | webkit_dom_html_video_element_get_webkit_displaying_fullscreen ()
gboolean | webkit_dom_html_video_element_get_webkit_wireless_video_playback_disabled ()
void | webkit_dom_html_video_element_set_webkit_wireless_video_playback_disabled ()
gulong | webkit_dom_html_video_element_get_webkit_decoded_frame_count ()
gulong | webkit_dom_html_video_element_get_webkit_dropped_frame_count ()

## Properties

gulong | height | Read / Write
gchar * | poster | Read / Write
gulong | video-height | Read
gulong | video-width | Read
gulong | webkit-decoded-frame-count | Read
gboolean | webkit-displaying-fullscreen | Read
gulong | webkit-dropped-frame-count | Read
gboolean | webkit-supports-fullscreen | Read
gboolean | webkit-wireless-video-playback-disabled | Read / Write
gulong | width | Read / Write

## Types and Values

| WebKitDOMHTMLVideoElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLMediaElement
                            ╰── WebKitDOMHTMLVideoElement

## Implemented Interfaces

WebKitDOMHTMLVideoElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_video_element_webkit_enter_fullscreen ()

    void
    webkit_dom_html_video_element_webkit_enter_fullscreen
                                   (WebKitDOMHTMLVideoElement *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLVideoElement |
error | GError |

### webkit_dom_html_video_element_webkit_exit_fullscreen ()

    void
    webkit_dom_html_video_element_webkit_exit_fullscreen
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

### webkit_dom_html_video_element_webkit_enter_full_screen ()

    void
    webkit_dom_html_video_element_webkit_enter_full_screen
                                   (WebKitDOMHTMLVideoElement *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLVideoElement |
error | GError |

### webkit_dom_html_video_element_webkit_exit_full_screen ()

    void
    webkit_dom_html_video_element_webkit_exit_full_screen
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

### webkit_dom_html_video_element_get_width ()

    gulong
    webkit_dom_html_video_element_get_width
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gulong

### webkit_dom_html_video_element_set_width ()

    void
    webkit_dom_html_video_element_set_width
                                   (WebKitDOMHTMLVideoElement *self,
                                    gulong value);

#### Parameters

self | A WebKitDOMHTMLVideoElement |
value | A gulong |

### webkit_dom_html_video_element_get_height ()

    gulong
    webkit_dom_html_video_element_get_height
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gulong

### webkit_dom_html_video_element_set_height ()

    void
    webkit_dom_html_video_element_set_height
                                   (WebKitDOMHTMLVideoElement *self,
                                    gulong value);

#### Parameters

self | A WebKitDOMHTMLVideoElement |
value | A gulong |

### webkit_dom_html_video_element_get_video_width ()

    gulong
    webkit_dom_html_video_element_get_video_width
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gulong

### webkit_dom_html_video_element_get_video_height ()

    gulong
    webkit_dom_html_video_element_get_video_height
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gulong

### webkit_dom_html_video_element_get_poster ()

    gchar *
    webkit_dom_html_video_element_get_poster
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gchar

### webkit_dom_html_video_element_set_poster ()

    void
    webkit_dom_html_video_element_set_poster
                                   (WebKitDOMHTMLVideoElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLVideoElement |
value | A gchar |

### webkit_dom_html_video_element_get_webkit_supports_fullscreen ()

    gboolean
    webkit_dom_html_video_element_get_webkit_supports_fullscreen
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gboolean

### webkit_dom_html_video_element_get_webkit_displaying_fullscreen ()

    gboolean
    webkit_dom_html_video_element_get_webkit_displaying_fullscreen
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gboolean

### webkit_dom_html_video_element_get_webkit_wireless_video_playback_disabled ()

    gboolean
    webkit_dom_html_video_element_get_webkit_wireless_video_playback_disabled
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gboolean

### webkit_dom_html_video_element_set_webkit_wireless_video_playback_disabled ()

    void
    webkit_dom_html_video_element_set_webkit_wireless_video_playback_disabled
                                   (WebKitDOMHTMLVideoElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLVideoElement |
value | A gboolean |

### webkit_dom_html_video_element_get_webkit_decoded_frame_count ()

    gulong
    webkit_dom_html_video_element_get_webkit_decoded_frame_count
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gulong

### webkit_dom_html_video_element_get_webkit_dropped_frame_count ()

    gulong
    webkit_dom_html_video_element_get_webkit_dropped_frame_count
                                   (WebKitDOMHTMLVideoElement *self);

#### Parameters

self | A WebKitDOMHTMLVideoElement |

#### Returns

A gulong

## Types and Values

### WebKitDOMHTMLVideoElement

    typedef struct _WebKitDOMHTMLVideoElement WebKitDOMHTMLVideoElement;

## Property Details

### The `“height”` property

      “height”                   gulong

read-write gulong HTMLVideoElement:height.

Flags: Read / Write

### The `“poster”` property

      “poster”                   gchar *

read-write gchar* HTMLVideoElement:poster.

Flags: Read / Write

Default value: ""

### The `“video-height”` property

      “video-height”             gulong

read-only gulong HTMLVideoElement:video-height.

Flags: Read

### The `“video-width”` property

      “video-width”              gulong

read-only gulong HTMLVideoElement:video-width.

Flags: Read

### The `“webkit-decoded-frame-count”` property

      “webkit-decoded-frame-count” gulong

read-only gulong HTMLVideoElement:webkit-decoded-frame-count.

Flags: Read

### The `“webkit-displaying-fullscreen”` property

      “webkit-displaying-fullscreen” gboolean

read-only gboolean HTMLVideoElement:webkit-displaying-fullscreen.

Flags: Read

Default value: FALSE

### The `“webkit-dropped-frame-count”` property

      “webkit-dropped-frame-count” gulong

read-only gulong HTMLVideoElement:webkit-dropped-frame-count.

Flags: Read

### The `“webkit-supports-fullscreen”` property

      “webkit-supports-fullscreen” gboolean

read-only gboolean HTMLVideoElement:webkit-supports-fullscreen.

Flags: Read

Default value: FALSE

### The `“webkit-wireless-video-playback-disabled”` property

      “webkit-wireless-video-playback-disabled” gboolean

read-write gboolean HTMLVideoElement:webkit-wireless-video-playback-disabled.

Flags: Read / Write

Default value: FALSE

### The `“width”` property

      “width”                    gulong

read-write gulong HTMLVideoElement:width.

Flags: Read / Write